valentina (0.7.53~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * modernize watch file
  * declare compliance with Debian Policy 4.7.0
  * update and unfuzz patches
  * update copyright info:
    + drop special-handled files no longer included upstream
    + update coverage
  * cleanup after build;
    closes: bug#1048773, thanks to Lucas Nussbaum
  * avoid suspected race condition;
    closes: bug#1070900,
    thanks to Santiago Vila and Andreas Beckmann
  * stop install measurement diagrams, dropped upstream
  * simplify tests to not use xvfb;
    stop build- or autopkgtest-depend on xauth xvfb
  * wrap tests in dbus-run-session;
    build- and autopkgtest-depend on dbus-daemon;
    depend on default-dbus-session-bus or dbus-session-bus
  * update install paths

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 01:38:38 +0100

valentina (0.7.52~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update source helper script copyright-check
  * update copyright info: update coverage
  * unfuzz patches
  * fix source helper tool copyright-check:
    + adjust to work with newer Path::Tiny 0.144
    + avoid insecure shell expansion
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 23:53:09 +0100

valentina (0.7.51~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix rename puzzle -> valentina-puzzle in desktop file
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jun 2022 15:33:51 +0200

valentina (0.7.50~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update, extend, and rename patches 1001 2004
    to also cover new helper tool puzzle
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      add related lintian overrides
  * simplify build rules:
    + stop explicitly resolve DEB_BUILD_OPTIONS=nocheck
      (done implicitly in debhelper compatibility level 13)
  * update long description, MIME hints, and build rules
    to rename helper tool puzzle -> valentina-puzzle

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 14:13:13 +0100

valentina (0.7.49~dfsg-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Aug 2021 14:32:32 +0200

valentina (0.7.49~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jul 2021 01:32:20 +0200

valentina (0.7.47~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * fix recommend qt5-image-formats-plugins, to support TIFF format
  * copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2021 08:14:41 +0200

valentina (0.7.46~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream since applied

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 May 2021 23:57:34 +0200

valentina (0.7.45~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release;
    closes: bug#984551, thanks to Bernd Zeimetz

  [ Jonas Smedegaard ]
  * add patches cherry-picked upstream
    to fix failing tests;
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Mar 2021 15:58:34 +0100

valentina (0.7.44~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2021 01:51:54 +0100

valentina (0.7.43~dfsg-2) unstable; urgency=medium

  * tolerate some errors on armel and armhf,
    as workaround for timeout checking Trousers test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Feb 2021 11:51:18 +0100

valentina (0.7.43~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright info:
    + update repackaging
      to exclude End-User Defined Character (EUDC) font without licensing
    + update coverage
  * declare compliance with Debian Policy 4.5.1
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Feb 2021 11:00:05 +0100

valentina (0.7.41~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update git-buildpackage settings: add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jan 2021 09:23:49 +0100

valentina (0.7.38~dfsg-2) unstable; urgency=medium

  * fix install icons
  * use debhelper compatibility level 13 (not 12)
  * drop ineffective mitigations for testsuite on 32bit archs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 10:50:04 +0100

valentina (0.7.38~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix use new variable VTEST_RUN_TIMEOUT
    to extend testsuite timeout for slow architectures

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Nov 2020 10:16:23 +0100

valentina (0.7.37~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tolerate some errors for some architectures:
    + CollectionTest for mips64el mipsel riscv64
    + ValentinaTest for i386 hurd-i386
    drop non-working patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Nov 2020 03:29:26 +0100

valentina (0.7.36~dfsg-2) unstable; urgency=medium

  * add patch 1002 to avoid include seemingly unused QDebug
    (possibly fixing testsuite segfault on i386)
  * reduce debugging information and double qtest timeout on 32bit archs,
    to avoid some FTBFS

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 22:40:48 +0100

valentina (0.7.36~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright:
    + fix list explicit files after related right-truncation wildcard
    + update coverage
  * lintian:
    + add overrides related to License-Reference field
      (see bug#786450)
  * watch: track git release tags
  * improve source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 19:16:52 +0100

valentina (0.7.0~~20201016~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot

  [ Jonas Smedegaard ]
  * drop patch 1002 adopted upstream
  * unfuzz patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Oct 2020 12:57:01 +0200

valentina (0.7.0~~20200923~dfsg-3) unstable; urgency=medium

  * re-enable and update patch 2003;
    adjust patch 1002 to match expected upstream fix

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Sep 2020 11:09:25 +0200

valentina (0.7.0~~20200923~dfsg-2) unstable; urgency=medium

  * add patch 1002 to fix testsuite for non-AMD64 non-CLANG use
  * unfuzz skipped patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 15:42:11 +0200

valentina (0.7.0~~20200923~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot

  [ Jonas Smedegaard ]
  * fix defer stripping to dh_strip;
    closes: bug#971007, thanks to Helmut Grohne
  * copyright: update coverage
  * unfuzz patches
  * skip patch 2003
    (let's see if some of it is fixed upstream)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 13:41:30 +0200

valentina (0.6.1+20200406~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot
    closes: bug#964619, thanks to Lucas Nussbaum

  [ Jonas Smedegaard ]
  * fix typo in changelog
  * fix avoid quoting placeholder in mailcap file
  * copyright:
    + exclude more files when repackaging upstream source
    + copyright: update coverage
  * drop patches cherry-picked upstream now applied
  * disable ccache trickery in configure target; drop patch 2002
  * unfuzz patches
  * simplify source script copyright-check
  * fix respect DEB_BUILD_OPTIONS=nocheck;
    closes: bug#960092, thanks to Helmut Grohne
  * stop installing pixmap files no longer shipped upstream

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Sep 2020 20:18:25 +0200

valentina (0.6.1~dfsg-10) unstable; urgency=medium

  * Fix stop build-depend on d-shlibs: Unused.
  * watch:
    + use dversionmangle=auto
    + rewrite usage comment
  * update upstream source URL;
    drop filenamemangle in watch file
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * fix rename icon name for valentina-tape
  * copyright: extend coverage
  * fix Last-Update fields in patch DEP-3 headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Apr 2020 12:37:40 +0200

valentina (0.6.1~dfsg-9) unstable; urgency=medium

  * Update copyright info:
    Fix include patches cherry-picked upstream in default Files section.
  * Add patches cherry-picked upstream:
    + Fix seam allowance for rollback case.
    + Fix passmark for rollback case.
    + fix update translation for variables after dynamic language switch.
    + Fix variable translation for Greek and Chinese.
    + Fix undefined reference to FindFirstNotOf.
    + Fix bug with GCC keys.
    + Each section must contain keys from previous.
    + Fix build error on aarch64.
  * Unfuzz patch 2003.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jan 2019 04:37:56 +0100

valentina (0.6.1~dfsg-8) unstable; urgency=medium

  * Fix set binary packages Multi-Arch: foreign.
  * Add patch 1001 to only open tape in PATH from within valentina.
  * Extend patch 2004 to cover opening tape from within valentina.
  * Update autopkgtest:
    + Drop unneeded restriction isolation-container.
    + Use pattern in depends.
  * Install AUTHORS.txt README.txt with all binary packages.
  * Generate PDF format measurement diagrams,
    and include them with documentation.
    Build-depend on librsvg2-bin.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Jan 2019 14:16:32 +0100

valentina (0.6.1~dfsg-7) experimental; urgency=medium

  * Add patches cherry-picked upstream to improve testsuite.
    Update patch 2003.
  * Stop ignore testuite failure when targeting experimental.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 16:35:25 +0100

valentina (0.6.1~dfsg-5) unstable; urgency=medium

  * Fix build-depend (if testing) on poppler-utils.
  * Normalize paths embedded in example files.
  * Add autopkgtest.
  * Add patch 2004 to rename tape to valentina-tape.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 04:41:36 +0100

valentina (0.6.1~dfsg-4) unstable; urgency=medium

  * Limit TranslationsTest to indep builds.
  * Fix only mangle executable name in arch builds.
  * Add patch 2003 to skip tests imprecise across archs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 00:56:36 +0100

valentina (0.6.1~dfsg-3) unstable; urgency=medium

  * Add patch 2002 to avoid ccache trickery by default.
  * Add DEP-3 header to patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 19:50:10 +0100

valentina (0.6.1~dfsg-2) unstable; urgency=medium

  * Add Vcs-* fields: Maintenance tracked on Salsa.
  * Set Rules-Requires-Root: no.
  * Mention rename of executable tape → valentina-tape
    in long description and README.Debian.
  * Fix build testsuite in sub-make.
    Thanks to Roman Telezhynskyi.
  * Build in release mode.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 17:31:51 +0100

valentina (0.6.1~dfsg-1) experimental; urgency=low

  * Initial packaging.
    Closes: Bug#786402. Thanks to Elena Grandi.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Dec 2018 19:20:12 +0100
